Bug 1270091 - man dnf.plugin.config-manager does not mention --dump in examples
man dnf.plugin.config-manager does not mention --dump in examples
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf-plugins-core (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-08 20:29 EDT by Vadim Raskhozhev
Modified: 2015-11-30 18:24 EST (History)
7 users (show)

See Also:
Fixed In Version: dnf-plugins-core-0.1.14-1.fc23 dnf-plugins-core-0.1.14-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-30 18:24:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vadim Raskhozhev 2015-10-08 20:29:56 EDT
According to `man dnf.plugin.config_manager`, command `dnf config-manager` should display main DNF configuration, and `dnf config-manager repo` should display configuration of repo, but neither of them produce any output.


Version-Release number of selected component (if applicable): dnf-1.1.2-4.fc22.noarch
dnf-plugins-core-0.1.12-3.fc22.noarch


How reproducible: always


Steps to Reproduce:
1. dnf config-manager
2. dnf config-manager fedora # or any other repo

Actual results:
No output

Expected results:
Corresponding config

Additional info:
May this be related to https://bugzilla.redhat.com/show_bug.cgi?id=1253237 somehow?
Comment 1 Vadim Raskhozhev 2015-10-08 20:31:07 EDT
Forgot to mention: yum-config-manager works as expected
Comment 2 Honza Silhan 2015-10-13 10:26:09 EDT
It should display configs when `--dump` option is set.
Comment 3 Vadim Raskhozhev 2015-10-13 11:01:20 EDT
(In reply to Jan Silhan from comment #2)
> It should display configs when `--dump` option is set.

And it does, thanks for the tip, but examples in `man dnf.plugin.config_manager` clearly state that

       dnf config-manager
              Display main DNF configuration.

       dnf config-manager repo
              Display configuration of repo.


without mentioning --dump. So it seems like bug in the man page.
Comment 4 Michael Mráka 2015-10-13 15:38:55 EDT
> So it seems like bug in the man page.

So it is :).
Comment 6 Fedora Update System 2015-11-16 14:07:44 EST
dnf-plugins-core-0.1.14-1.fc23 dnf-1.1.4-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-fe6e8b885b
Comment 7 Fedora Update System 2015-11-18 11:26:41 EST
dnf-1.1.4-1.fc22 dnf-plugins-core-0.1.14-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-6137119aff
Comment 8 Fedora Update System 2015-11-18 11:52:31 EST
dnf-1.1.4-1.fc23, dnf-plugins-core-0.1.14-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update dnf dnf-plugins-core'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-fe6e8b885b
Comment 9 Fedora Update System 2015-11-19 04:52:33 EST
dnf-1.1.4-1.fc23, dnf-plugins-core-0.1.14-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2015-11-19 09:51:36 EST
dnf-1.1.4-1.fc22, dnf-plugins-core-0.1.14-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update dnf-plugins-core dnf'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6137119aff
Comment 11 Fedora Update System 2015-11-30 18:23:36 EST
dnf-1.1.4-1.fc22, dnf-plugins-core-0.1.14-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.